FolksDummy.FullPersona.update_calendar_event_id – folks-dummy Reference Manual

# update_calendar_event_id

## Description:

public void update_calendar_event_id (string? calendar_event_id)

Update persona's birthday calendar event ID.

This simulates a backing-store-side update of the persona's Folks.BirthdayDetails.calendar_event_id property. It is intended to be used for testing code which consumes this property. If the property value changes, this results in a property change notification on the persona.

## Parameters:

calendar_event_id | persona's new birthday calendar event ID

## Since:

0.9.7